# $Revision: 1.11 $, $Date: 2006/07/18 10:02:39 $
Summary:	Nagios Nuvola Style
Summary(pl):	Styl Nuvola dla Nagiosa
Name:		nagios-theme-nuvola
Version:	1.0.3
Release:	3
License:	LGPL / Free (dtree)
Group:		Applications/WWW
Source0:	nagios-nuvola-%{version}.tar.gz
# Source0-md5:	3e8413932b1936192fdb4080ae90af20
Patch0:		nagios-nuvola-favicon.patch
Patch1:		nagios-nuvola-texts.patch
URL:		http://tinyurl.com/a946b
BuildRequires:	sed >= 4.0
Requires:	nagios-cgi >= 2.0-0.b3.31
Provides:	nagios-theme
Obsoletes:	nagios-theme
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_nagiosdir	/usr/share/nagios

%description
Complete Nagios Style (Menu, Icons, Stylesheets, Images) for Nagios
2.0.

Style had been updated to version 1.0 with the free DTree menu.

This is a complete image pack, menu and stylesheets for Nagios 2.0.
Icons are from the Nuvola KDE theme (http://www.icon-king.com/)

%description -l pl
Peny styl Nagiosa (menu, ikony, arkusze styli, obrazki) dla Nagiosa
2.0.

Styl zosta uaktualniony do wersji 1.0 z darmowym menu DTree.

Jest to peny pakiet obrazkw, menu i arkuszy styli dla Nagiosa 2.0.
Ikony pochodz z motywu KDE Nuvola (http://www.icon-king.com/).

%prep
%setup -q -c
# undos the sources
find . -type f '(' -name '*.html' -o -name '*.js' -o -name '*.css' ')' -print0 | xargs -0 sed -i -e 's,\r$,,'
%patch0 -p1
%patch1 -p1

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_nagiosdir}
cp -a html/* $RPM_BUILD_ROOT%{_nagiosdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.txt
# well. should add it to /etc/nagios, but that means need  to enable FollowSymLinks directive in apache
%config(noreplace) %verify(not md5 mtime size) %{_nagiosdir}/config.js
%{_nagiosdir}/*.html
%{_nagiosdir}/images/*
%{_nagiosdir}/stylesheets/*
%{_nagiosdir}/side

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nagios-theme-nuvola.spec,v $
Revision 1.11  2006/07/18 10:02:39  glen
- remove version info from static theme (it's mostly incorrect); rel 3

Revision 1.10  2006/03/26 11:15:47  paszczus
- release 2 to rebuild with nagios 2.0 instead of 2.0beta3

Revision 1.9  2005/09/21 10:25:39  glen
- 1.0.3

Revision 1.8  2005/06/15 16:15:36  glen
- 1.0.2 (mozilla bugfix)

Revision 1.7  2005/05/15 20:06:53  glen
- require nagios-cgi with proper parent dirs

Revision 1.6  2005/05/14 12:01:50  glen
- tinyurl outdated

Revision 1.5  2005/05/14 09:00:56  glen
- 1.0.1; updated license

Revision 1.4  2005/05/13 18:52:56  qboosh
- pl

Revision 1.3  2005/05/13 18:25:10  glen
- undos sources
- add favicon patch
- %config for config.js

Revision 1.2  2005/05/13 17:59:02  glen
- requries nagios 2.0+

Revision 1.1  2005/05/13 17:50:03  glen
- very nice nagios 2.0 theme
